Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.render.renderer
Interface WindowRenderer

All Superinterfaces:
  ObjectRenderer

All Known Implementing Classes:
  DivWindowRenderer, DynaWindowRenderer, EmptyWindowRenderer

    public interface WindowRenderer

extends ObjectRenderer

A window renderer is responsible for the creation of the markup of each portlet window in a portal page region.

A Portlet window is the frame (the container) around the markup gernerated by the Portlet. It includes things like the title, and the portlet mode and portlet window state information. The window renderer is assumed to delegate to the `DecorationRenderer` to generate the title and mode and state markup, and to the `PortletRenderer` to render the markup produced by the portlet. Note that the renderer do not call the portlet container to execute the doView doEdit etc. method. The renderer is only responsible for placing the created markup inside the page, and creating the necessary markup around it.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `PortalRenderSet`, `RegionRenderer`, `DecorationRenderer`, `PortletRenderer`

Method Summary
`void` | `render(RendererContext rendererContext, WindowRendererContext wrc)` Render the markup of a portlet window.

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Method Detail

### render

    void render(RendererContext rendererContext,
                WindowRendererContext wrc)
                throws RenderException

  Render the markup of a portlet window.

  Parameters:
    `rendererContext` - the state holder to provide information about the region, it's portlets, and the render set, which allows access to the other renderer interfaces of the render set.
  Throws:
    `RenderException`
  See Also:
    `RegionRenderer.renderBody(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.RegionRendererContext)`, `PortletRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.PortletRendererContext)`, `DecorationRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.DecorationRendererContext)`, `WindowContext`, `WindowResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD